.TH "Graphs" 3 "AlatZaAnalitiku" \" -*- nroff -*-
.ad l
.nh
.SH NAME
Graphs
.SH SYNOPSIS
.br
.PP
.PP
\fR#include <graphs\&.h>\fP
.PP
Inherits QGraphicsView\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBGraphs\fP (QGraphicsView *parent=nullptr)"
.br
.in -1c
.SS "Static Public Member Functions"

.in +1c
.ti -1c
.RI "static QChart * \fBcreateLineChart\fP (\fBDataFrame\fP &data, const QString &xColumn, const QString &yColumn, QColor &color)"
.br
.ti -1c
.RI "static QChart * \fBcreateScatterChart\fP (\fBDataFrame\fP &data, const QString &xColumn, const QString &yColumn, QColor &color)"
.br
.ti -1c
.RI "static QChart * \fBcreatePieOrDonutChart\fP (\fBDataFrame\fP &data, const QString &xColumn, bool isDonutChart)"
.br
.ti -1c
.RI "static QChart * \fBcreatePieChart\fP (\fBDataFrame\fP &data, const QString &xColumn)"
.br
.ti -1c
.RI "static QChart * \fBcreateDonutChart\fP (\fBDataFrame\fP &data, const QString &xColumn)"
.br
.ti -1c
.RI "static QChart * \fBbarPlot\fP (\fBDataFrame\fP &df, QString &xAxis, QString &yAxis, QString &stat, QColor &color)"
.br
.ti -1c
.RI "static QChart * \fBhorizontalBarPlot\fP (\fBDataFrame\fP &df, QString &xAxis, QString &yAxis, QString &stat, QColor &color)"
.br
.ti -1c
.RI "static QVector< \fBDataPoint\fP > \fBgenerateDataPoints\fP (\fBDataFrame\fP &data, const QString &xColumn, const QString &yColumn)"
.br
.ti -1c
.RI "static QPen \fBcreatePen\fP (int width, QColor &color)"
.br
.ti -1c
.RI "static QColor \fBgenerateRandomColor\fP ()"
.br
.ti -1c
.RI "static QPropertyAnimation * \fBcreateSeriesAnimation\fP (QAbstractSeries *series)"
.br
.ti -1c
.RI "static void \fBsetChartProperties\fP (QChart *chart, QAbstractSeries *series, const QString &xColumn, const QString &yColumn)"
.br
.in -1c
.SH "Constructor & Destructor Documentation"
.PP 
.SS "Graphs::Graphs (QGraphicsView * parent = \fRnullptr\fP)\fR [explicit]\fP"

.SH "Member Function Documentation"
.PP 
.SS "QChart * Graphs::barPlot (\fBDataFrame\fP & df, QString & xAxis, QString & yAxis, QString & stat, QColor & color)\fR [static]\fP"

.SS "QChart * Graphs::createDonutChart (\fBDataFrame\fP & data, const QString & xColumn)\fR [static]\fP"

.SS "QChart * Graphs::createLineChart (\fBDataFrame\fP & data, const QString & xColumn, const QString & yColumn, QColor & color)\fR [static]\fP"

.SS "QPen Graphs::createPen (int width, QColor & color)\fR [static]\fP"

.SS "QChart * Graphs::createPieChart (\fBDataFrame\fP & data, const QString & xColumn)\fR [static]\fP"

.SS "QChart * Graphs::createPieOrDonutChart (\fBDataFrame\fP & data, const QString & xColumn, bool isDonutChart)\fR [static]\fP"

.SS "QChart * Graphs::createScatterChart (\fBDataFrame\fP & data, const QString & xColumn, const QString & yColumn, QColor & color)\fR [static]\fP"

.SS "QPropertyAnimation * Graphs::createSeriesAnimation (QAbstractSeries * series)\fR [static]\fP"

.SS "QVector< \fBDataPoint\fP > Graphs::generateDataPoints (\fBDataFrame\fP & data, const QString & xColumn, const QString & yColumn)\fR [static]\fP"

.SS "QColor Graphs::generateRandomColor ()\fR [static]\fP"

.SS "QChart * Graphs::horizontalBarPlot (\fBDataFrame\fP & df, QString & xAxis, QString & yAxis, QString & stat, QColor & color)\fR [static]\fP"

.SS "void Graphs::setChartProperties (QChart * chart, QAbstractSeries * series, const QString & xColumn, const QString & yColumn)\fR [static]\fP"


.SH "Author"
.PP 
Generated automatically by Doxygen for AlatZaAnalitiku from the source code\&.
